import { BaseMiniApp, NativeDependencies, NativePlatform, PackagePath } from 'ern-core';
import { CompositeGeneratorConfig } from './types';
import { Composite } from './Composite';
export declare class GeneratedComposite implements Composite {
    static generate(config: CompositeGeneratorConfig): Promise<GeneratedComposite>;
    /**
     * The configuration that was used to generate this Composite
     */
    readonly config: CompositeGeneratorConfig;
    /**
     * Path to the Composite
     */
    readonly path: string;
    /**
     * package.json of the Composite
     */
    readonly packageJson: any;
    private cachedNativeDependencies;
    private constructor();
    getJsApiImpls(): Promise<PackagePath[]>;
    getMiniApps(): Promise<BaseMiniApp[]>;
    getResolvedNativeDependencies(): Promise<{
        pluginsWithMismatchingVersions: string[];
        resolved: PackagePath[];
    }>;
    getInjectableNativeDependencies(platform: NativePlatform): Promise<PackagePath[]>;
    /**
     * Get the package name of the MiniApps present in this Composite
     */
    getMiniAppsPackages(): Promise<{
        name: string;
        path: string;
        packagePath: PackagePath;
    }[]>;
    /**
     * Get all native dependencies packages found in this Composite
     */
    getNativeDependencies({ manifestId, }?: {
        manifestId?: string;
    }): Promise<NativeDependencies>;
    getReactNativeVersion(): string;
}
