import { BaseMiniApp, NativeDependencies, NativePlatform, PackagePath } from 'ern-core';
import { Composite } from './Composite';
export declare class WorkspaceComposite implements Composite {
    /**
     * Path to the Composite
     */
    readonly path: string;
    /**
     * package.json of the Composite
     */
    readonly packageJson: any;
    /**
     * Path to the workspace directory containing the miniapps
     */
    readonly miniappsDir: string;
    private cachedNativeDependencies;
    constructor(workspacePath: string);
    getJsApiImpls(): Promise<PackagePath[]>;
    getMiniApps(): Promise<BaseMiniApp[]>;
    getResolvedNativeDependencies(): Promise<{
        pluginsWithMismatchingVersions: string[];
        resolved: PackagePath[];
    }>;
    getInjectableNativeDependencies(platform: NativePlatform): Promise<PackagePath[]>;
    getMiniAppsPackages(): Promise<{
        name: string;
        path: string;
        packagePath: PackagePath;
    }[]>;
    getNativeDependencies({ manifestId, }?: {
        manifestId?: string | undefined;
    }): Promise<NativeDependencies>;
    getReactNativeVersion(): string;
}
