"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyYarnResolutions = void 0;
const ern_core_1 = require("ern-core");
async function applyYarnResolutions({ cwd, resolutions, }) {
    ern_core_1.log.debug('Adding yarn resolutions to package.json');
    ern_core_1.log.trace(`resolutions : ${JSON.stringify(resolutions, null, 2)}`);
    const compositePackageJson = await (0, ern_core_1.readPackageJson)(cwd);
    compositePackageJson.resolutions = resolutions;
    await (0, ern_core_1.writePackageJson)(cwd, compositePackageJson);
    try {
        ern_core_1.shell.pushd(cwd);
        await ern_core_1.yarn.install();
    }
    finally {
        ern_core_1.shell.popd();
    }
}
exports.applyYarnResolutions = applyYarnResolutions;
//# sourceMappingURL=applyYarnResolutions.js.map