"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBaseCompositeImports = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const ern_core_1 = require("ern-core");
async function createBaseCompositeImports({ cwd }) {
    let content = '';
    const dependencies = [];
    const compositePackageJson = await (0, ern_core_1.readPackageJson)(cwd);
    for (const dependency of Object.keys(compositePackageJson.dependencies)) {
        content += `import '${dependency}'\n`;
        dependencies.push(dependency);
    }
    await fs_extra_1.default.writeFile(path_1.default.join(cwd, 'composite-imports.js'), content);
}
exports.createBaseCompositeImports = createBaseCompositeImports;
//# sourceMappingURL=createBaseCompositeImports.js.map