"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNodeModuleVersion = void 0;
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const ern_core_1 = require("ern-core");
async function getNodeModuleVersion({ cwd, name, }) {
    const pathToModule = path_1.default.join(cwd, `node_modules/${name}`);
    if (!(await fs_extra_1.default.pathExists(pathToModule))) {
        throw new Error(`Path ${pathToModule} not found`);
    }
    const pJson = await (0, ern_core_1.readPackageJson)(pathToModule);
    return pJson.version;
}
exports.getNodeModuleVersion = getNodeModuleVersion;
//# sourceMappingURL=getNodeModuleVersion.js.map