"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.installPackages = void 0;
const lodash_1 = __importDefault(require("lodash"));
const ern_core_1 = require("ern-core");
const installPackagesUsingYarnLock_1 = require("./installPackagesUsingYarnLock");
const installPackagesWithoutYarnLock_1 = require("./installPackagesWithoutYarnLock");
async function installPackages({ cwd, jsApiImplDependencies, miniApps, pathToYarnLock, }) {
    const jsPackages = jsApiImplDependencies
        ? [...miniApps, ...jsApiImplDependencies]
        : miniApps;
    if (pathToYarnLock && lodash_1.default.some(jsPackages, (p) => p.isFilePath)) {
        ern_core_1.log.warn('Yarn lock will not be used as some of the MiniApp paths are file based');
        pathToYarnLock = undefined;
    }
    return pathToYarnLock
        ? (0, installPackagesUsingYarnLock_1.installPackagesUsingYarnLock)({
            cwd,
            jsPackages,
            pathToYarnLock,
        })
        : (0, installPackagesWithoutYarnLock_1.installPackagesWithoutYarnLock)({ cwd, jsPackages });
}
exports.installPackages = installPackages;
//# sourceMappingURL=installPackages.js.map