"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installPackagesWithoutYarnLock = void 0;
const ern_core_1 = require("ern-core");
async function installPackagesWithoutYarnLock({ cwd, jsPackages, }) {
    // No yarn.lock path was provided, just add miniapps one by one
    ern_core_1.log.debug('[generateComposite] no yarn lock provided');
    ern_core_1.shell.pushd(cwd);
    try {
        await ern_core_1.yarn.init();
        const nbJsPackages = jsPackages.length;
        for (let i = 0; i < nbJsPackages; i++) {
            await ern_core_1.kax
                .task(`[${i + 1}/${nbJsPackages}] Adding ${jsPackages[i]}`)
                .run(ern_core_1.yarn.add(jsPackages[i]));
        }
    }
    finally {
        ern_core_1.shell.popd();
    }
}
exports.installPackagesWithoutYarnLock = installPackagesWithoutYarnLock;
//# sourceMappingURL=installPackagesWithoutYarnLock.js.map