"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.patchMetro51AssetsBug = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const getNodeModuleVersion_1 = require("./getNodeModuleVersion");
async function patchMetro51AssetsBug({ cwd }) {
    const metroVersion = await (0, getNodeModuleVersion_1.getNodeModuleVersion)({
        cwd,
        name: 'metro',
    });
    const compositeNodeModulesPath = path_1.default.join(cwd, 'node_modules');
    // Only of use for RN < 0.60.0
    if (metroVersion === '0.51.1') {
        const pathToFileToPatch = path_1.default.join(compositeNodeModulesPath, 'metro-resolver/src/resolve.js');
        const stringToReplace = `const assetNames = resolveAsset(dirPath, fileNameHint, platform);`;
        const replacementString = `let assetNames;
    try { assetNames = resolveAsset(dirPath, fileNameHint, platform); } catch (e) {}`;
        const fileToPatch = await fs_extra_1.default.readFile(pathToFileToPatch);
        const patchedFile = fileToPatch
            .toString()
            .replace(stringToReplace, replacementString);
        return fs_extra_1.default.writeFile(pathToFileToPatch, patchedFile);
    }
}
exports.patchMetro51AssetsBug = patchMetro51AssetsBug;
//# sourceMappingURL=patchMetro51AssetsBug.js.map