"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.patchWorkspaceBabelRcRoots = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const ern_core_1 = require("ern-core");
const getNodeModuleVersion_1 = require("./getNodeModuleVersion");
const patchMetroBabelRcRoots_1 = require("./patchMetroBabelRcRoots");
async function patchWorkspaceBabelRcRoots({ cwd }) {
    var _a;
    const rnVersion = await (0, getNodeModuleVersion_1.getNodeModuleVersion)({
        cwd,
        name: 'react-native',
    });
    const metroVersion = await (0, getNodeModuleVersion_1.getNodeModuleVersion)({
        cwd,
        name: 'metro',
    });
    const miniappsPath = path_1.default.join(cwd, 'miniapps');
    const babelRcRootsRe = [];
    for (const file of await fs_extra_1.default.readdir(miniappsPath)) {
        const f = path_1.default.join(miniappsPath, file);
        if ((await fs_extra_1.default.stat(f)).isDirectory()) {
            const pJson = await (0, ern_core_1.readPackageJson)(path_1.default.join(f));
            if (((_a = pJson.ern) === null || _a === void 0 ? void 0 : _a.useBabelRc) === true) {
                babelRcRootsRe.push(new RegExp(`${path_1.default.basename(f)}(?!.+\/)`));
            }
        }
    }
    return (0, patchMetroBabelRcRoots_1.patchMetroBabelRcRoots)({
        babelRcRootsRe,
        cwd,
        metroVersion,
        rnVersion,
    });
}
exports.patchWorkspaceBabelRcRoots = patchWorkspaceBabelRcRoots;
//# sourceMappingURL=patchWorkspaceBabelRcRoots.js.map